<?php /*
Plugin Name: Footer_count
Version: 1.7.e
Author: VDigital (Vincent)
Description: Add some counters to your footer
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=118
*/
add_event_handler('loc_begin_page_tail', 'get_Footer_count' );
define('FOOTERCOUNT_PATH' , PHPWG_PLUGINS_PATH 
      . basename(dirname(__FILE__)) . '/');
// Build our header title
function get_Footer_count()
{
  global $template, $conf, $page, $lang;

  if (!isset($page['start']) or isset($page['slideshow'])) /* Nothing to do */
  { return; };

// Activate my template
  $template->set_filenames(array(
    'get_Footer_count' => FOOTERCOUNT_PATH . 'my_footer.tpl')
  );

// If needed define this  in your conf_local.inc.php
  $conf['visit_delay'] = (!isset($conf['visit_delay'])) 
                       ? 60 : $conf['visit_delay'];
  $seconds['visit_delay'] = $conf['visit_delay'] * 60;					   
  $conf['members_list'] = (!isset($conf['time_counter'])) 
                       ? true : $conf['members_list'];
//  Include language advices
  @include_once(get_language_filepath('lang.ftc.php', FOOTERCOUNT_PATH));

  $day_visit_ctr = 0;
// $conf['time_counter'] = false;  /* No access or pictures to be displayed  */
  if (!isset($conf['time_counter']) or $conf['time_counter'])
  {
    $query = '
     SELECT count( * ) AS visit_ctr, 
	        count( `image_id` IS NOT NULL ) AS image_ctr FROM '
			. HISTORY_TABLE . '  
      WHERE (UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(CONCAT(date,\' \',time))) 
      <= ' . $seconds['visit_delay'] . '  
     UNION  ALL  SELECT count( * ), count( `image_id` IS NOT NULL )
      FROM  '.HISTORY_TABLE.'  
      WHERE (UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(CONCAT(date,\' \',time))) 
      <= 86400 ;';
    $result = pwg_query($query);
    $row = mysql_fetch_array($result);
    $last_visit_ctr = $row['visit_ctr'];

    $row = mysql_fetch_array($result);
    $day_visit_ctr = $row['visit_ctr'];
  // $conf['image_counter'] = true; /* Picture count in state of access */
	if (isset($conf['image_counter']) and $conf['image_counter']) 
	{
      $last_visit_ctr = $row['image_ctr']; 
	  $day_visit_ctr = $row['image_ctr'];
	}
  }
  else { $lang['viewed_period'] = ''; }
// Nothing to display on 24h  
  if ((isset($conf['last_24_h_counter']) and !$conf['last_24_h_counter'])
       or $day_visit_ctr == 0)
  {
    $lang['viewed_in'] = '';
    $day_visit_ctr = 0;
  }
// Guests
  if (!isset($conf['guests_counter']) or $conf['guests_counter'])
  {
    $query = '
     SELECT count( DISTINCT IP ) AS guest_ctr FROM  '.HISTORY_TABLE.'  
      WHERE (UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(CONCAT(date,\' \',time))) 
      <= ' . $seconds['visit_delay'] . '  
        AND user_id = ' . $conf['guest_id'] . ' ;';
    $result = pwg_query($query);
    $row = mysql_fetch_array($result);
    $guest_ctr = $row['guest_ctr'];
  }
// Member list
  if (!isset($conf['members_list']) or $conf['members_list'])
  {
    $query = '
     SELECT DISTINCT(user_id) AS member, u.username 
      FROM  '.HISTORY_TABLE.' AS h
      LEFT JOIN `'.USERS_TABLE.'` AS u 
             ON h.user_id = u.id  
      WHERE (UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(CONCAT(date,\' \',time))) 
      <= ' . $seconds['visit_delay'] . '  
      AND user_id <> ' . $conf['guest_id'] . ' ;';
    $result = pwg_query($query);
    $user_list = l10n('recent_users');
    $len_ul = strlen($user_list);
  while ($row = mysql_fetch_array($result))
    {
      $user_list .= $row['username'].', ';
    }
    if (strlen($user_list) == $len_ul)
    {
      $user_list = l10n('no_users').', ';
    }
    $user_list =  substr($user_list,0,-2);                  /* Remove last , */
    if (strlen($user_list) > 120)
    {
      $user_list =  substr($user_list,0,120);         /* Too long => cut off */
      $pos = strrpos($user_list,', ');  /* Find end of last full member name */
      $user_list = substr($user_list,0,$pos).', ...';      /* add a Soft end */
    }
  }
  if ($guest_ctr > 0)
  { $user_list .= '<br />' . l10n('guest(s)') . $guest_ctr; }
  if (strpos($user_list,'&') == 1)
  { $user_list = substr($user_list,2); }
  $template->assign_block_vars(
    'viewed_counter',
    array(
      'L_RECENT' => l10n('viewed_period'),
      'L_DAY' => l10n('viewed_in'),
      'RECENT' => $last_visit_ctr,
      'DAY' => $day_visit_ctr,
      'USER_LIST' => $user_list
    ));
  $template->parse('get_Footer_count');
}
?>